The pipes-text package

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain]

Warnings:

This organization of the package follows the rule

Familiarity with the other three packages should give one an idea what to expect where. The package has three modules, Pipes.Text , Pipes.Text.Encoding and Pipes.Text.IO; the division has more or less the significance it has in the text library.

Note that the module Pipes.Text.IO is present as a convenience (as is Data.Text.IO). Official pipes IO would use Pipes.ByteString and the decoding functions present here, based on the new Michael Snoyman's new text-stream-decoding package. In particular, the Pipes.Text.IO functions use Text exceptions.

Pipes.Text.IO uses version 0.11.3 or later of the text library. It thus works with the version of text that came with the 2013 Haskell Platform. To use an older text, install with the flag -fnoio


[Skip to ReadMe]

Properties

Versions0.0.0.0, 0.0.0.1, 0.0.0.2, 0.0.0.3, 0.0.0.4, 0.0.0.5, 0.0.0.6, 0.0.0.7, 0.0.0.8, 0.0.0.9, 0.0.0.9, 0.0.0.10, 0.0.0.11, 0.0.0.12, 0.0.0.13, 0.0.0.14, 0.0.0.15, 0.0.0.16, 0.0.0.17, 0.0.1.0, 0.0.2.0, 0.0.2.1, 0.0.2.2, 0.0.2.3, 0.0.2.4, 0.0.2.5
Change logchangelog
Dependenciesbase (==4.*), bytestring (>=0.9), pipes (>=4.0 && <4.2), pipes-bytestring (>=1.0 && <2.1), pipes-group (>=1.0.0 && <1.1), pipes-parse (>=2.0 && <3.1), pipes-safe, profunctors (>=3.1.1 && <4.1), text (>=0.11.2 && <1.2), text-stream-decode (==0.1.*), transformers (>=0.2.0.0 && <0.4) [details]
LicenseBSD3
AuthorMichael Thompson
Maintainerwhat_is_it_to_do_anything@yahoo.com
CategoryText, Pipes
Home pagehttps://github.com/michaelt/text-pipes
Bug trackerhttps://github.com/michaelt/text-pipes/issues
Source repositoryhead: git clone https://github.com/michaelt/text-pipes
UploadedSat Feb 22 04:05:26 UTC 2014 by MichaelThompson

Modules

[Index]

Flags

NameDescriptionDefaultType
noio

Use a version of text earlier than 0.11.3

DisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees


Readme for pipes-text-0.0.0.9

[back to package description]

pipes-text

This package follows the rule:

pipes-text : pipes-bytestring :: text : bytestring

The division of three modules, Pipes.Text , Pipes.Text.Encoding and Pipes.Text.IO has more or less the significance it has in the text library.

Note that the module Pipes.Text.IO uses version 0.11.3 or later of the text library. (It thus works with the version of text that came with the 2013 Haskell Platform. To use an older text, install with the flag -fnoio